Installing on Debian (or other distribution)

    • OMV 4.x

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • this installation is FULL of errors!!! Full!! i spend again 9 hours.. and ...nothing...

      even the ClamAV cannot be installed:



      >>> *************** Error ***************
      Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C; export DEBIAN_FRONTEND=noninteractive; apt-get --yes --allow-downgrades --allow-change-held-packages --fix-missing --allow-unauthenticated --reinstall install openmediavault-clamav 2>&1' with exit code '100': Reading package lists...

      Building dependency tree...

      Reading state information...

      Some packages could not be installed. This may mean that you have
      requested an impossible situation or if you are using the unstable
      distribution that some required packages have not yet been created
      or been moved out of Incoming.
      The following information may help to resolve the situation:

      The following packages have unmet dependencies:
      openmediavault-clamav : Depends: clamav-daemon but it is not installable
      Depends: clamav-freshclam but it is not installable
      Depends: clamdscan but it is not installable
      E: Unable to correct problems, you have held broken packages.
      <<< *************************************

      >>> *************** Error ***************
      Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C; export DEBIAN_FRONTEND=noninteractive; apt-get --yes --allow-downgrades --allow-change-held-packages --fix-missing --allow-unauthenticated --reinstall install openmediavault-clamav 2>&1' with exit code '100': Reading package lists...

      Building dependency tree...

      Reading state information...

      Some packages could not be installed. This may mean that you have
      requested an impossible situation or if you are using the unstable
      distribution that some required packages have not yet been created
      or been moved out of Incoming.
      The following information may help to resolve the situation:

      The following packages have unmet dependencies:
      openmediavault-clamav : Depends: clamav-daemon but it is not installable
      Depends: clamav-freshclam but it is not installable
      Depends: clamdscan but it is not installable
      E: Unable to correct problems, you have held broken packages.
      <<< *************************************


      also some times i see error something about /tmp/ occationally..

      MESS!! MESS!!!!!!!

      i have a test installation that i messed but works better.. I did this not with boot (like the real MESS i wrote for) but with Debian 9 first and after some tests...

      but the version is 4.1.16-2

      Is there somewhere I can install this one (the boot/messed 4.1.3-1 ??)

      This is my installer: Install OMV4 on Debian 9 (Stretch) what i need to change to get the LATEST version?

      Many thanks!!
    • antonisthai wrote:

      this installation is FULL of errors!!! Full!!
      Not sure what goes wrong. There are thousands of downloads per week. If there would be a systematic problem the forum would be full of complaints.

      antonisthai wrote:

      what i need to change to get the LATEST version?
      Install with the ISO (do not know if this is possible on your cloud hardware) and update or install on a plain Debian 9 using the workflow you have already done.
      Odroid HC2 - armbian - Seagate ST4000DM004 - OMV4.x
      Asrock Q1900DC-ITX - 16GB - 2x Seagate ST3000VN000 - Intenso SSD 120GB - OMV4.x
      :!: Backup - Solutions to common problems - OMV setup videos - OMV4 Documentation - user guide :!:
    • I installed according to the instuctions you first sent me ( the link)..

      First debian and after manually.

      With the ISO there are many issues and the package seems incomplete (as I need to complete the installation first without internet...)..

      Now i installed with the link you send me, after debian installation

      it's 4.1.17-1 Arrakis... is this the latest?

      Also I have some messages like that some times

      Failed to open file (filename=/tmp/bgstatusIYVSQS, mode=r).

      Is it safe?

      Many thanks!!!
    • antonisthai wrote:

      it's 4.1.17-1 Arrakis... is this the latest?
      Yes


      antonisthai wrote:

      Failed to open file (filename=/tmp/bgstatusIYVSQS, mode=r).
      Search the forum for "/tmp/bgstatus" including the quotes. I assume you will find something.
      Odroid HC2 - armbian - Seagate ST4000DM004 - OMV4.x
      Asrock Q1900DC-ITX - 16GB - 2x Seagate ST3000VN000 - Intenso SSD 120GB - OMV4.x
      :!: Backup - Solutions to common problems - OMV setup videos - OMV4 Documentation - user guide :!:
    • root@one:~# omv-update
      Get:1 file:/var/cache/openmediavault/archives InRelease
      Ign:1 file:/var/cache/openmediavault/archives InRelease
      Get:2 file:/var/cache/openmediavault/archives Release
      Ign:2 file:/var/cache/openmediavault/archives Release
      Get:3 file:/var/cache/openmediavault/archives Packages
      Ign:3 file:/var/cache/openmediavault/archives Packages
      Get:4 file:/var/cache/openmediavault/archives Translation-en
      Ign:4 file:/var/cache/openmediavault/archives Translation-en
      Get:3 file:/var/cache/openmediavault/archives Packages
      Ign:3 file:/var/cache/openmediavault/archives Packages
      Get:4 file:/var/cache/openmediavault/archives Translation-en
      Ign:4 file:/var/cache/openmediavault/archives Translation-en
      Get:3 file:/var/cache/openmediavault/archives Packages
      Ign:3 file:/var/cache/openmediavault/archives Packages
      Get:4 file:/var/cache/openmediavault/archives Translation-en
      Ign:4 file:/var/cache/openmediavault/archives Translation-en
      Get:3 file:/var/cache/openmediavault/archives Packages
      Ign:3 file:/var/cache/openmediavault/archives Packages
      Get:4 file:/var/cache/openmediavault/archives Translation-en
      Ign:4 file:/var/cache/openmediavault/archives Translation-en
      Get:3 file:/var/cache/openmediavault/archives Packages
      Ign:3 file:/var/cache/openmediavault/archives Packages
      Get:4 file:/var/cache/openmediavault/archives Translation-en
      Ign:4 file:/var/cache/openmediavault/archives Translation-en
      Get:3 file:/var/cache/openmediavault/archives Packages
      Get:4 file:/var/cache/openmediavault/archives Translation-en
      Ign:4 file:/var/cache/openmediavault/archives Translation-en
      Hit:5 security.debian.org stretch/updates InRelease
      Ign:6 deb.debian.org/debian stretch InRelease
      Hit:7 deb.debian.org/debian stretch-updates InRelease
      Ign:8 mirror.hetzner.de/debian/packages stretch InRelease
      Hit:9 mirror.hetzner.de/debian/packages stretch-updates InRelease
      Hit:10 mirror.hetzner.de/debian/packages stretch-backports InRelease
      Hit:11 packages.openmediavault.org/public arrakis InRelease
      Hit:12 mirror.hetzner.de/debian/security stretch/updates InRelease
      Hit:13 mirror.hetzner.de/debian/packages stretch Release
      Hit:14 deb.debian.org/debian stretch Release
      Exception ignored in: <function WeakValueDictionary.__init__.<locals>.remove at 0x7fd9e83af950>
      Traceback (most recent call last):
      File "/usr/lib/python3.5/weakref.py", line 117, in remove
      TypeError: 'NoneType' object is not callable
      Exception ignored in: <function WeakValueDictionary.__init__.<locals>.remove at 0x7fd9e83af950>
      Traceback (most recent call last):
      File "/usr/lib/python3.5/weakref.py", line 117, in remove
      TypeError: 'NoneType' object is not callable
      Reading package lists... Done
      Reading package lists... Done
      Building dependency tree
      Reading state information... Done
      Calculating upgrade... Done
      0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
      root@one:~#




      but still i dont see this menu!!! where is this??
    • The output is ok. The weakref error is not an issue. You can ignore it. If you want to get rid of it

      wget -O /usr/lib/python3.5/weakref.py https://raw.githubusercontent.com/python/cpython/9cd7e17640a49635d1c1f8c2989578a8fc2c1de6/Lib/weakref.py

      You need omv-extras if you want to install additional plugins. It is not mandatory.

      Have a look at omv-extras.org
      Odroid HC2 - armbian - Seagate ST4000DM004 - OMV4.x
      Asrock Q1900DC-ITX - 16GB - 2x Seagate ST3000VN000 - Intenso SSD 120GB - OMV4.x
      :!: Backup - Solutions to common problems - OMV setup videos - OMV4 Documentation - user guide :!:
    • macom wrote:

      up and running?
      hopefully :) i found the issue with the die on reboot...

      i added static ip.. im not sure where i had to add it properly :) so i added both in /etc/network/interfaces and /etc/network/interfaces.d/50-cloud-init.cfg

      the first (interfaces) points to second in which there was a dhcp

      i made static

      and i added the static in the main also (interfaces).

      After reboot it works!

      but can't mount now...
    • Settings of the interfaces should be done in the GUI of OMV (system --> network --> interfaces --> add or edit).

      Alternative is to change it via omv-firstaid from the CLI. It is the first option that shows up when you start omv-firstaid.

      If you do changes outside of OMV, that means not in the GUI and not with omv-firstaid, there is a risk, that these changes are overwritten during a system or configuration update.
      Odroid HC2 - armbian - Seagate ST4000DM004 - OMV4.x
      Asrock Q1900DC-ITX - 16GB - 2x Seagate ST3000VN000 - Intenso SSD 120GB - OMV4.x
      :!: Backup - Solutions to common problems - OMV setup videos - OMV4 Documentation - user guide :!: